#!/usr/bin/bash

waitfor() {
  host=$1
  port=$2

  echo Waiting for tcp://$host:$port... 1>&2
  while ! echo > /dev/tcp/$host/$port; do
    echo Waiting for tcp://$host:$port... 1>&2
    sleep 1
  done 2>/dev/null
}

waitfor redis 6379
waitfor redis-ssl 6379

exec "$@"
